<?php
/**
 *
 * @category        pagemodule
 * @package         numbers
 * @author          Ruud Eisinga - www.dev4me.com
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @version         1.1.2
 * @lastmodified    August 23, 2021
 *
 */
 
if(!defined('WB_PATH')) {
	require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
	throw new IllegalFileException();
}
/*
 *
 * version 1.0 
 * - Initial version
 *
 * version 1.1
 * - multi language
 * - background.css fix
 * - frontend.css added "private class" > "plus" (adding a + before the numbers)
 *
 * version 1.1.1
 * - improved FontAwesome fallback method_exists
 *
 * version 1.1.2
 * - fixed the load event non existing in jQuery 3 (frontend.js)
 * - fixes for MySQL-Strict (Bernd)
 *
 */


$module_directory = 'numbers';
$module_name = 'Number counters 1.1.2';
$module_function = 'page';
$module_version = '1.1.2';
$module_platform = '2.10';
$module_author = 'Ruud Eisinga - Dev4me';
$module_license = 'GNU General Public License';
$module_description = 'This module creates an animated number counter';
