<?php
/**
 *
 * @category        pagemodule
 * @package         numbers
 * @author          Ruud Eisinga - www.dev4me.com
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @version         1.1.2
 * @lastmodified    August 23, 2021
 *
 */
 
// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
	require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
	throw new IllegalFileException();
}
/* -------------------------------------------------------- */

if(defined('WB_URL')) {
	$mod_numbers = 'CREATE TABLE IF NOT EXISTS `'.TABLE_PREFIX.'mod_numbers` ( '
		. ' `section_id` INT NOT NULL DEFAULT \'0\','
		. ' `page_id` INT NOT NULL DEFAULT \'0\','
		. ' `title` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `speed` INT(11) NOT NULL DEFAULT \'4\','
		
		. ' `counter01` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text01` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon01` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class01` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter02` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text02` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon02` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class02` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter03` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text03` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon03` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class03` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter04` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text04` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon04` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class04` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter05` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text05` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon05` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class05` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter06` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text06` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon06` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class06` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter07` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text07` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon07` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class07` VARCHAR(50) NOT NULL DEFAULT \'\','
		
		. ' `counter08` INT(11) NOT NULL DEFAULT \'0\','
		. ' `text08` VARCHAR(512) NOT NULL DEFAULT \'\','
		. ' `icon08` VARCHAR(50) NOT NULL DEFAULT \'\','
		. ' `class08` VARCHAR(50) NOT NULL DEFAULT \'\','
	
		. ' PRIMARY KEY ( `section_id` ) '
		. ' ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci';
	$database->query($mod_numbers);
}
